
TYPO3.Flow - Bug # 3742

Status: Resolved Priority: Must have
Author: Karsten Dambekalns Category: Object
Created: 2009-06-24 Assigned To: Karsten Dambekalns
Updated: 2010-10-20 Due date:
PHP Version:
Has patch:
Complexity:
Affected Flow version:
Subject: getObjectConfigurations() returns original objects
Description

getObjectConfigurations() currently returns the original configuration objects, which allows to alter those circumventing the setters
intended. It must return cloes instead.

Associated revisions
Revision 2944e75b - 2009-09-22 14:41 - Karsten Dambekalns

[+BUGFIX] FLOW3 (Object): Object manager now returns cloned object configurations, fixes #3742; made some tests test what they were supposed to
test.

History
#1 - 2009-07-06 14:52 - Robert Lemke
- Priority changed from Should have to Must have

#2 - 2009-07-13 11:25 - Robert Lemke
- Target version deleted (283)

#3 - 2009-09-21 22:47 - Karsten Dambekalns
- Status changed from New to Accepted
- Assigned To set to Karsten Dambekalns
- Target version set to 1.0 alpha 5

#4 - 2009-09-22 15:00 - Karsten Dambekalns
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset r3204.
